Bug 731077

Summary: rhts-devel package should require rpmdevtools
Product: [Community] Beaker Reporter: Šimon Lukašík <slukasik>
Component: command lineAssignee: Dan Callaghan <dcallagh>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 0.6CC: bpeck, dcallagh, mcsontos, rmancy, stl
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-08 02:43:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 545868    

Description Šimon Lukašík 2011-08-16 16:05:28 UTC
Description of problem:
There is a missing requires in rhts-devel package. It contains file

    /usr/libexec/rhts//rhts-mk-build-package

which issues rpmbuild command. However this command is not warrant
to be there.

Version-Release number of selected component (if applicable):
rhts-devel-4.38-1.fc14.noarch

How reproducible:
deterministic

Steps to Reproduce:
1. install base system (Fedora 16)
2. install rhts-devel package
3. make tag bkradd
  
Actual results:
Building package:
/usr/libexec/rhts//rhts-mk-build-package: řádek 124: rpmbuild: příkaz nenalezen

Expected results:
Package being build.

Additional info:

Comment 1 Šimon Lukašík 2011-08-16 16:07:41 UTC
s/příkaz nenalezen/command not found/

Comment 2 Bill Peck 2011-08-23 16:53:22 UTC
This change has been pushed into rhts-devel-4.39-1

to test please use beaker-stage repo

yum upgrade --enablerepo=beaker-stage rhts\*

Comment 3 Raymond Mancy 2011-09-07 01:07:32 UTC
[raymond@dhcp-1-132 tmp]$ rpm -q rpm-build --whatrequires
rhts-devel-4.40-1.git.0.d839c85.fc14.noarch

Comment 4 Dan Callaghan 2011-09-08 02:43:02 UTC
Beaker 0.7.1 has been released.